Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.associations.tertius
Class IndividualLiteral

    java.lang.Object
      weka.associations.tertius.Literal
          weka.associations.tertius.AttributeValueLiteral
              weka.associations.tertius.IndividualLiteral

All Implemented Interfaces:
  java.io.Serializable

    public class IndividualLiteral

extends AttributeValueLiteral

Version:
  $Revision: 1.2.2.1 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  Serialized Form

Field Summary
`static int` | `INDIVIDUAL_PROPERTY`
`static int` | `PART_PROPERTY`

Fields inherited from class weka.associations.tertius.Literal
`NEG, POS`

Constructor Summary
`IndividualLiteral(Predicate predicate, java.lang.String value, int index, int sign, int missing, int type)`

Method Summary
`int` | `getType()`

Methods inherited from class weka.associations.tertius.AttributeValueLiteral
`negationSatisfies, satisfies, toString`

Methods inherited from class weka.associations.tertius.Literal
`getNegation, getPredicate, negative, positive, setNegation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INDIVIDUAL_PROPERTY

    public static int INDIVIDUAL_PROPERTY

### PART_PROPERTY

    public static int PART_PROPERTY

Constructor Detail

### IndividualLiteral

    public IndividualLiteral(Predicate predicate,
                             java.lang.String value,
                             int index,
                             int sign,
                             int missing,
                             int type)

Method Detail

### getType

    public int getType()

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD